#ifndef LOG_H
#define LOG_H

enum log_level
{
    Info = 0,
    Warning = 1,
    Error = 2,
    Fatal = 3,
    Debug = 4,
    Verbose = 5
};
typedef struct app_logger_info
{
    char* log_file;
    char* executable_name;
    int log_file_max_size;
    enum log_level max_log_level;
    /// logger list/linked list/array?
} app_logger_info;

typedef struct logger
{
    app_logger_info* app_logger;
    char* name;
} logger;


#endif //LOG_H
